package com.kingdee.eas.custom.performancenew;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractExamineGradePersonInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractExamineGradePersonInfo()
    {
        this("id");
    }
    protected AbstractExamineGradePersonInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryCollection());
    }
    /**
     * Object: 周期季度 's 分录 property 
     */
    public com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.performancenew.ExamineGradePersonEntryCollection)get("entrys");
    }
    /**
     * Object:周期季度's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:周期季度's 年度property 
     */
    public int getYear()
    {
        return getInt("year");
    }
    public void setYear(int item)
    {
        setInt("year", item);
    }
    /**
     * Object:周期季度's 周期类型property 
     */
    public com.kingdee.eas.custom.performancenew.app.periodTypeEnum getPeriodType()
    {
        return com.kingdee.eas.custom.performancenew.app.periodTypeEnum.getEnum(getString("periodType"));
    }
    public void setPeriodType(com.kingdee.eas.custom.performancenew.app.periodTypeEnum item)
    {
		if (item != null) {
        setString("periodType", item.getValue());
		}
    }
    /**
     * Object:周期季度's 季度（月度）property 
     */
    public int getQuarter()
    {
        return getInt("quarter");
    }
    public void setQuarter(int item)
    {
        setInt("quarter", item);
    }
    /**
     * Object:周期季度's 周期状态property 
     */
    public com.kingdee.eas.custom.performancenew.app.periodStatusEnum getPeriodStatus()
    {
        return com.kingdee.eas.custom.performancenew.app.periodStatusEnum.getEnum(getString("periodStatus"));
    }
    public void setPeriodStatus(com.kingdee.eas.custom.performancenew.app.periodStatusEnum item)
    {
		if (item != null) {
        setString("periodStatus", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B99F4C3E");
    }
}